STAT(1)

BEZEICHNUNG
stat - Anzeige des Datei- oder Dateisystemstatus

ÜBERSICHT
stat [OPTION]... DATEI...

BESCHREIBUNG

Status einer Datei oder eines Dateisystems anzeigen.

-L, --dereference
    Verweisen folgen

-f, --file-system
    Dateisystemstatus anstelle des Dateistatus anzeigen

-c  --format=FORMAT
    Das angegebene FORMAT anstelle der Vorgabe benutzen; nach jeder Benutzung von FORMAT einen Zeilenumbruch ausgeben.

--printf=FORMAT
    Wie --format, interpretiert jedoch Maskierung per Rückschrägstrich und gibt nicht den obligatorischen abschließenden Zeilenumbruch aus. Falls Sie einen Zeilenumbruch wünschen, fügen Sie \n in FORMAT ein.

-t, --terse
    Gibt die Information in Kurzform aus

--help
    Diese Hilfe anzeigen und beenden

--version
    Versionsinformation anzeigen und beenden

Die gültigen Formatangaben für Dateien (ohne --file-system):

%a  Zugriffsrechte im Oktalformat

%A  Zugriffsrechte in menschenlesbarer Form

%b  Anzahl der reservierten Blöcke (siehe %B)

%B  Die Größe jedes mit »%b« gemeldeten Blocks in Byte

%C  SELinux-Sicherheitskontext-Zeichenkette

%d  Gerätenummer in dezimaler Schreibweise

%D  Gerätenummer in hexadezimaler Schreibweise

%f  Raw-Modus in hexadezimaler Schreibweise

%F  Dateityp

%g  Gruppen‐ID des Eigentümers

%G  Gruppenname des Eigentümers

%h  Anzahl harter Verweise

%i  Inode-Nummer

%n  Dateiname

%N  Dateiname in Anführungsstrichen mit Zurückverfolgung, falls symbolischer Verweis

%o  E/A‐Blockgröße

%s  Gesamtgröße in Byte

%t  Major-Gerätetyp in hexadezimaler Schreibweise

%T  Minor‐Gerätetyp in hexadezimaler Schreibweise

%u  Anwender‐ID des Eigentümers

%U  Anwendername des Eigentümers

%x  Zeit des letzten Zugriffs

%X  Zeit des letzten Zugriffs in Sekunden in Unixzeit

%y  Zeit der letzten Änderung

%Y  Zeit der letzten Änderung in Sekunden in Unixzeit

%z  Zeit der letzten Statusänderung

%Z  Zeit der letzten Statusänderung in Sekunden in Unixzeit

Gültige Formatangaben für Dateisysteme:

%a  Freie Blöcke, die Nicht‐Superusern zur Verfügung stehen

%b  Gesamte Datenblöcke im Dateisystem

%c  Gesamte Dateiknoten im Dateisystem

%d  Freie Dateiknoten im Dateisystem

%f  Freie Blöcke im Dateisystem

%C  SELinux-Sicherheitskontext-Zeichenkette

%i  Dateisystem‐ID in hexadezimaler Schreibweise

%l  Maximale Länge von Dateinamen

%n  Dateiname

%s  Blockgröße (für schnellere Übertragungen)

%S  Grundlegende Blockgröße (für Blockzahlen)

%t  Typ in hexadezimaler Schreibweise

%T  Typ in menschenlesbarer Form

BEACHTEN SIE: Ihre Shell hat möglicherweise eine eigene Version von stat, welche normalerweise die hier beschriebene Version ersetzt. Bitte greifen Sie auf die Dokumentation Ihrer Shell zurück, um die dort unterstützten Optionen in Erfahrung zu bringen.

AUTOR
Geschrieben von Michael Meskes.

FEHLER BERICHTEN
Berichten Sie Fehler in stat (auf Englisch) an bug-coreutils@gnu.org
Homepage der GNU coreutils: <http://www.gnu.org/software/coreutils/>
Allgemeine Hilfe zur Benutzung von GNU-Software: <http://www.gnu.org/gethelp/>
Berichten Sie Fehler in der Übersetzung von stat an <http://translationproject.org/team/de.html>

COPYRIGHT
Copyright © 2010 Free Software Foundation, Inc. Lizenz GPLv3+: GNU GPL Version 3 oder neuer <http://gnu.org/licenses/gpl.html>.
Dies ist freie Software: Sie können sie verändern und weitergeben. Es gibt KEINE GARANTIE, soweit gesetzlich zulässig.

SIEHE AUCH
stat(2)

Die vollständige Dokumentation für stat wird als Texinfo-Handbuch gepflegt. Wenn die Programme info und stat auf Ihrem Rechner ordnungsgemäß installiert sind, können Sie mit dem Befehl

    info coreutils 'stat invocation'

auf das vollständige Handbuch zugreifen.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Karl Eichwalder <ke@suse.de>, Lutz Behnke <lutz.behnke@gmx.de>, Michael Schmidt <michael@guug.de>, Michael Piefel <piefel@informatik.hu-berlin.de> und Chris Leick <c.leick@vollbio.de> erstellt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen. Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.